Skip to main content
GET
/
payments
/
subscriptions
Get All Subscriptions
curl --request GET \
  --url https://api.rootfi.dev/v4/payments/subscriptions \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 6001,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-01T00:00:00Z",
      "rootfi_updated_at": "2025-01-15T10:00:00Z",
      "rootfi_company_id": 999,
      "platform_id": "sub_stripe_001",
      "contact_id": "12345",
      "currency_id": "USD",
      "status": "active",
      "amount": 99.99,
      "interval": "month",
      "interval_count": 1,
      "next_billing_date": "2025-02-01T00:00:00Z",
      "last_invoice_date": "2025-01-15T00:00:00Z",
      "last_payment_date": "2025-01-15T12:00:00Z",
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-15T10:00:00Z",
      "invoice_ids": [
        "inv_54321",
        "inv_54322"
      ],
      "transaction_ids": [
        "txn_9001",
        "txn_9002",
        "txn_9003"
      ],
      "items": [
        {
          "rootfi_id": 2001,
          "item_id": "prod_001",
          "description": "Premium Plan",
          "quantity": 1,
          "unit_amount": 99.99
        }
      ]
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
The Subscriptions Data Model represents recurring billing arrangements that automatically generate invoices and track all related transactions.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of subscriptions you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the subscriptions endpoint.

data
paymentsSubscriptionObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects